Prob install carte réseau récente


#1

Bonjour,

voilà je suis entrain d’installer une débian en suivant le guide d’alexis de Lattre (via.ecp.fr/~alexis/formation … linux.html).

J’ai un petit soucis avec ma carte réseau qui est une carte réseau intégré.

Voilà j’ai une P4P800 Deluxe avec une carte réseau 3Com 1Gb qu’il faut que j’installe.

En suivant le guide d’alexis, j’ai fait une installe minimum et je suis uniquement en mode console sans serveur X installé.

Après des recherches, j’ai donc trouvé les drivers qui sont les 3C2000.

Pour pouvoir compiler j’installe les kernel-source sinon il y a soucis.

Lors de la compilation j’entre aperçois des warnings mais la compilation se déroule et dans la foulée le make exec un insmod 3C2000.o et là il y a soucis :

il me met le message suivant:

Kernel-module version mismatch
3C2000.o was compiled for kernel version 2.4.18
while this kernel is version 2.4.18-bf2.4

pour l’histoire du bf2.4 c’est normal j’ai utilisé le “saveur” bf2.4 lors de l’install (comme dit dans le guide) au lieu de celui par défaut.

so il y a t il une solution?

A l’aide comme je suis assez nouveau dans le monde j’y connais pas grand chose.

merci pour l’aide.

@+